## ros-noetic-mia-hand-description 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mia_hand_description)

find_package(catkin REQUIRED COMPONENTS roscpp urdf std_msgs genmsg sensor_msgs joint_limits_interface)


###################################
## catkin specific configuration ##
###################################

catkin_package(

  CATKIN_DEPENDS
    roscpp
    urdf
    sensor_msgs
    std_msgs
    joint_limits_interface

  INCLUDE_DIRS
    include


  LIBRARIES ${PROJECT_NAME}

)


###########
## Build ##
###########

include_directories(include ${catkin_INCLUDE_DIRS} )

add_library(${PROJECT_NAME}
	src/mia_thumb_opp_passivejoints.cpp
	)

add_executable(remap_mia_joint_states
			src/remap_mia_joint_states.cpp
			src/mia_thumb_opp_passivejoints.cpp )


target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

target_link_libraries(remap_mia_joint_states ${catkin_LIBRARIES})
add_dependencies(remap_mia_joint_states ${catkin_EXPORTED_TARGETS} )



#############
## Install ##
#############

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-noetic-mia-hand-description (1.0.2-1focal) focal; urgency=high



 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-description (1.0.1-1focal) focal; urgency=high



 -- Andrea Burani <andreabu@prensilia.com>  Sun, 06 Feb 2022 23:00:00 -0000

ros-noetic-mia-hand-description (1.0.0-1focal) focal; urgency=high

  * 1.0.0
  * Updated CHANGELOG files.
  * Updated CHANGELOG files.
  * Added srv dependency to mia_hand_driver and joint_state_interface to mmia_hand_description. Added wiki url links.
  * Added license file in the repo and license text as header of each file.
  * Added licence file and licence text as header of each file.
  * 1.0.0
  * Added ChangeLog files of each pkg.
  * Initial commit.
  * Fix package xml files.
  * Initial commit.
  * Contributors: Andrea Burani, frcini

 -- Andrea Burani <andreabu@prensilia.com>  Mon, 24 Jan 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-mia-hand-description
Section: misc
Priority: optional
Maintainer: Andrea Burani <andreabu@prensilia.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-joint-limits-interface, ros-noetic-roscpp, ros-noetic-rostime, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-urdf
Homepage: https://wiki.ros.org/mia_hand_ros_pkgs
Standards-Version: 3.9.2

Package: ros-noetic-mia-hand-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-joint-limits-interface, ros-noetic-joint-state-publisher, ros-noetic-joint-state-publisher-gui, ros-noetic-robot-state-publisher, ros-noetic-roscpp, ros-noetic-rostime, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-urdf
Description: Package containing Mia Hand URDF model.
 Includes Gazebo tags that allow for URDF usage in Gazebo simulator. Includes description of the index_thumb opposition passive joint.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mia-hand-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
